Invoicesv1OCR
Process invoice with OCR (async)
Starts an async background job to extract invoice details from a base64-encoded document. Poll /v1/invoices/ocr/{id} for the result.
POST
/v1/invoices/ocrAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/invoices/ocr" \ -H "Content-Type: application/json" \ -d '{ "base64_file": "JVBERi0xLjcKCjEgMCBvYmogICUgZW50..." }'{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"status": 202,
"result": {
"total": "string",
"customer_name": "string",
"customer_email": "string",
"currency_code": "string",
"currency_symbol": "string",
"due_date": "string",
"subtotal": "string",
"sales_tax_percentage": "string",
"sales_tax_amount": "string",
"invoice_number": "string",
"reference": "string",
"bic": "string",
"iban": "string"
},
"message": "string"
}Empty
Empty
Empty
Empty